uk.gov.hmrc.play.fsm.JourneyController

# actions

###
Related Doc: package JourneyController

#### object actions

Collection of DSL-style action builders

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. actions
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### final class Apply extends Executable

2. #### final class ApplyWithRequest extends Executable

3. #### final class BindForm[Payload] extends AnyRef

4. #### final class ParseJson[Entity] extends AnyRef

5. #### final class Show[S <: State] extends Executable

6. #### final class ShowCurrentState extends Executable

7. #### final class WaitFor[S <: State] extends Executable

8. #### final class WhenAuthorised[User] extends AnyRef

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(transition: Transition): Apply

   Apply state transition and redirect to the new state.

   Apply state transition and redirect to the new state.

   Note

     to alter behaviour follow with redirectOrDisplayIfSame or redirectOrDisplayIf

5. #### def applyWithRequest(transition: (Request[_]) ⇒ Transition): ApplyWithRequest

   Apply state transition and redirect to the new state.

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def bindForm[Payload](form: Form[Payload]): BindForm[Payload]

   Bind the form to the request.

   Bind the form to the request. If valid, apply the following transition, if not valid, redirect back to the current state with failed form.

   Payload

     form output type

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def parseJson[Entity](implicit arg0: Reads[Entity]): ParseJson[Entity]

    Parse the JSON body of the request.

    Parse the JSON body of the request. If valid, apply the following transition, if not valid, return the alternative result.

    Entity

      entity

19. #### def show[S <: State](implicit arg0: ClassTag[S]): Show[S]

    Display the state requested by the type parameter S.

    Display the state requested by the type parameter S. If the current state is not of type S, try to rewind the history back to the nearest state matching S, or redirect back to the root state.

    S

      type of the state to display

    Note

      to alter behaviour follow with using, orApply or orApplyWithRequest

20. #### val showCurrentState: Executable

    Displays the current state using default renderState function.

    Displays the current state using default renderState function. If there is no state yet then redirects to the start.

21. #### def showCurrentStateUsing(renderState: (Request[_]) ⇒ (State, Breadcrumbs, Option[Form[_]]) ⇒ Result): ShowCurrentState

    Displays the current state using custom render function.

    Displays the current state using custom render function. If there is no state yet then redirects to the start.

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### def waitForStateAndDisplay[S <: State](timeoutInSeconds: Int)(implicit arg0: ClassTag[S]): WaitFor[S]

    Wait until the state becomes of S type and display it, or if timeout expires raise a java.util.concurrent.TimeoutException.

28. #### def waitForStateThenRedirect[S <: State](timeoutInSeconds: Int)(implicit arg0: ClassTag[S]): WaitFor[S]

    Wait until the state becomes of S type and redirect to it, or if timeout expires raise a java.util.concurrent.TimeoutException.

29. #### def whenAuthorised[User](withAuthorised: WithAuthorised[User]): WhenAuthorised[User]

    Progress only if authorization succeeds.

    Progress only if authorization succeeds. Use returned value in the following operations.

    User

      authorised user information type

### Inherited from AnyRef

### Inherited from Any

### Ungrouped